Bug 231464 - comms/gammu: fix build with tier-2 arches
Summary: comms/gammu: fix build with tier-2 arches
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-18 19:49 UTC by Piotr Kubaj
Modified: 2018-09-21 12:44 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
patch (502 bytes, patch)
2018-09-18 19:49 UTC, Piotr Kubaj
no flags Details | Diff
v2 (503 bytes, patch)
2018-09-19 19:12 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-18 19:49:16 UTC
Created attachment 197216 [details]
patch

USES=compiler:c++11-lib is needed to compile this port when GCC 4.2 is used as cc (as it is on tier-2 arches).

Tested on powerpc64.
Comment 1 Piotr Kubaj freebsd_committer 2018-09-19 19:12:18 UTC
Created attachment 197239 [details]
v2

Turns out only c++11-lang is needed.
Comment 2 commit-hook freebsd_committer 2018-09-21 11:37:43 UTC
A commit references this bug:

Author: linimon
Date: Fri Sep 21 11:37:03 UTC 2018
New revision: 480259
URL: https://svnweb.freebsd.org/changeset/ports/480259

Log:
  Fix build on gcc-based archs.

  PR:		231464
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/comms/gammu/Makefile